uk.gov.hmrc.address.osgb

# DbAddress

###
Related Docs: object DbAddress | package osgb

#### case class DbAddress(id: String, lines: List[String], town: Option[String], postcode: String, subdivision: Option[String], country: Option[String], localCustodianCode: Option[Int], language: Option[String], blpuState: Option[Int], logicalState: Option[Int], streetClass: Option[Int], blpuClass: Option[String], location: Option[String], poBox: Option[String] = None) extends Document with Product with Serializable

Address typically represents a postal address. For UK addresses, 'town' will always be present. For non-UK addresses, 'town' may be absent and there may be an extra line instead.

Linear Supertypes
Serializable, Serializable, Product, Equals, Document, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DbAddress
2. Serializable
3. Serializable
4. Product
5. Equals
6. Document
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new DbAddress(id: String, lines: List[String], town: Option[String], postcode: String, subdivision: Option[String], country: Option[String], localCustodianCode: Option[Int], language: Option[String], blpuState: Option[Int], logicalState: Option[Int], streetClass: Option[Int], blpuClass: Option[String], location: Option[String], poBox: Option[String] = None)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### val blpuClass: Option[String]

6. #### val blpuState: Option[Int]

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### val country: Option[String]

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### def forElasticsearch: Map[String, Any]

12. #### def forMongoDb: List[(String, Any)]

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### val id: String

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### val language: Option[String]

17. #### def latLong: Option[LatLong]

18. #### def line1: String

19. #### def line2: String

20. #### def line3: String

21. #### val lines: List[String]

22. #### def linesContainIgnoreCase(filterStr: String): Boolean

23. #### val localCustodianCode: Option[Int]

24. #### val location: Option[String]

25. #### val logicalState: Option[Int]

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### def normalise: DbAddress

    Definition Classes
      DbAddress → Document

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### val poBox: Option[String]

31. #### val postcode: String

32. #### def splitPostcode: Postcode

33. #### val streetClass: Option[Int]

34. #### val subdivision: Option[String]

35. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

36. #### final def toMap: Map[String, Any]

    Definition Classes
      Document

37. #### val town: Option[String]

38. #### def tupled: List[(String, Any)]

    Definition Classes
      DbAddress → Document

39. #### def tupledFlat: List[(String, Any)]

40. #### def uprn: Long

41. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Document

### Inherited from AnyRef

### Inherited from Any

### Ungrouped